## class osg::InfinitePlane

## Inheritance:

### Public Methods

InfinitePlane()
InfinitePlane(const InfinitePlane& plane, const CopyOp& copyop=CopyOp::SHALLOW_COPY)
META_Shape(osg, InfinitePlane)

### Protected Methods

virtual ~InfinitePlane()

### Inherited from Shape:

### Public Methods

virtual Object* cloneType() const
virtual Object* clone(const CopyOp&) const
virtual bool isSameKindAs(const Object* obj) const
virtual const char* libraryName() const
virtual const char* className() const
virtual void accept(ShapeVisitor&)
virtual void accept(ConstShapeVisitor&) const

### Inherited from Object:

### Public Methods

inline void setDataVariance(DataVariance dv)
inline DataVariance getDataVariance() const
inline void setUserData(Referenced* obj)
inline Referenced* getUserData()
inline const Referenced* getUserData() const

### Public Members

enum DataVariance

### Protected Fields

DataVariance _dataVariance
ref_ptr<Referenced> _userData

### Inherited from Referenced:

### Public Methods

inline Referenced& operator = (Referenced&)
static void setDeleteHandler(DeleteHandler* handler)
static DeleteHandler* getDeleteHandler()
inline void ref() const
inline void unref_nodelete() const
inline int referenceCount() const
inline void unref() const

### Protected Fields

mutable int _refCount

### Inherited from Plane:

### Public Methods

inline void set(const Plane& pl)
inline void set(float a, float b, float c, float d)
inline void set(const Vec4& vec)
inline void set(const Vec3& norm, float d)
inline void set(const Vec3& v1, const Vec3& v2, const Vec3& v3)
inline void set(const Vec3& norm, const Vec3& point)
inline void flip()
inline void makeUnitLength()
inline void calculateUpperLowerBBCorners()
inline bool valid() const
inline bool operator == (const Plane& plane) const
inline bool operator != (const Plane& plane) const
inline bool operator < (const Plane& plane) const
inline float* ptr()
inline const float* ptr() const
inline Vec4& asVec4()
inline const Vec4& asVec4() const
inline float& operator [] (unsigned int i)
inline float operator [] (unsigned int i) const
inline osg::Vec3 getNormal() const
inline float distance(const osg::Vec3& v) const
inline int intersect(const std::vector<Vec3>& vertices) const
inline int intersect(const BoundingSphere& bs) const
inline int intersect(const BoundingBox& bb) const
inline void transform(const osg::Matrix& matrix)
inline void transformProvidingInverse(const osg::Matrix& matrix)

### Protected Fields

Vec4 _fv
unsigned int _upperBBCorner
unsigned int _lowerBBCorner

## Documentation

`InfinitePlane()`

`InfinitePlane(const InfinitePlane& plane, const CopyOp& copyop=CopyOp::SHALLOW_COPY)`

`META_Shape(osg, InfinitePlane)`

`virtual ~InfinitePlane()`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.